<Page x:Class="OrderingSystem_v2.Order"
      xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
      xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
      xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
      xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
      xmlns:local="clr-namespace:OrderingSystem_v2"
      mc:Ignorable="d" 
      d:DesignHeight="600" d:DesignWidth="700"
      Title="Order">

  <Grid>
    <Grid.RowDefinitions>
      <RowDefinition Height="0.3*"/>
      <RowDefinition Height="5*"/>
      <RowDefinition/>
    </Grid.RowDefinitions>
    <Grid.ColumnDefinitions>
      <ColumnDefinition/>
      <ColumnDefinition/>
      <ColumnDefinition Width="0.3*"/>
    </Grid.ColumnDefinitions>
    <ListView x:Name="allProds" Grid.Column="0" Grid.Row="1" PreviewMouseLeftButtonUp="allSelect">
      <ListView.View>
        <GridView >
          <GridViewColumn Header="Name" Width="80" DisplayMemberBinding="{Binding name}" />
          <GridViewColumn Header="Price" Width="80" DisplayMemberBinding="{Binding price}" />
          <GridViewColumn Header="Description" Width="100" DisplayMemberBinding="{Binding description}" />
        </GridView>
      </ListView.View>
    </ListView>
    <ListView x:Name="orderProds" Grid.Column="1" Grid.Row="1" PreviewMouseLeftButtonUp="ordrSelect">
      <ListView.View >
        <GridView >
          <GridViewColumn Header="Name" Width="80" DisplayMemberBinding="{Binding name}" />
          <GridViewColumn Header="Price one" Width="80" DisplayMemberBinding="{Binding price}" />
          <GridViewColumn Header="Price all" Width="80" DisplayMemberBinding="{Binding fullPrice}" />
          <GridViewColumn Header="Count" Width="100" DisplayMemberBinding="{Binding count}" />
        </GridView>
      </ListView.View>
    </ListView>
    <Label Content="All products" Grid.Column="0" Grid.Row="0"/>
    <Label Content="Order products" Grid.Column="1" Grid.Row="0"/>
    <Button Grid.Column="2" Grid.Row="1" Content="save" x:Name="save" Click="save_Click" Height="40" Width="100"/>
    <Label Grid.Column="2" Grid.Row="3" x:Name="ordrId"/>
  </Grid>
</Page>
